## fight2048 1.0.0maemo5

=== Makefile ===
#############################################################################
# Makefile for building: fight2048
# Generated by qmake (2.01a) (Qt 4.7.0) on: Sun Apr 27 23:11:49 2014
# Project:  fight2048.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile fight2048.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_DECLARATIVE_LIB -DQT_DBUS_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtOpenGL -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include/QtDeclarative -I/targets/FREMANTLE_ARMEL/usr/include -Iqmlapplicationviewer -I/usr/X11R6/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/X11R6/lib -lQtDeclarative -L/usr/lib -L/usr/X11R6/lib -lQtScript -lQtSvg -lQtSql -lQtXmlPatterns -lQtNetwork -lQtOpenGL -lQtGui -lQtDBus -lQtXml -lQtCore -lGLESv2 -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		qmlapplicationviewer/qmlapplicationviewer.cpp moc_qmlapplicationviewer.cpp
OBJECTS       = main.o \
		qmlapplicationviewer.o \
		moc_qmlapplicationviewer.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		qmlapplicationviewer/qmlapplicationviewer.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		fight2048.pro
QMAKE_TARGET  = fight2048
DESTDIR       = 
TARGET        = fight2048

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: fight2048.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		qmlapplicationviewer/qmlapplicationviewer.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDeclarative.prl \
		/usr/lib/libQtScript.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtSvg.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXmlPatterns.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtOpenGL.prl
	$(QMAKE) -o Makefile fight2048.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
qmlapplicationviewer/qmlapplicationviewer.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/opengl.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDeclarative.prl:
/usr/lib/libQtScript.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtSvg.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtSql.prl:
/usr/lib/libQtXmlPatterns.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtOpenGL.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile fight2048.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/fight20481.0.0 || $(MKDIR) .tmp/fight20481.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/fight20481.0.0/ && $(COPY_FILE) --parents qmlapplicationviewer/qmlapplicationviewer.h .tmp/fight20481.0.0/ && $(COPY_FILE) --parents main.cpp qmlapplicationviewer/qmlapplicationviewer.cpp .tmp/fight20481.0.0/ && (cd `dirname .tmp/fight20481.0.0` && $(TAR) fight20481.0.0.tar fight20481.0.0 && $(COMPRESS) fight20481.0.0.tar) && $(MOVE) `dirname .tmp/fight20481.0.0`/fight20481.0.0.tar.gz . && $(DEL_FILE) -r .tmp/fight20481.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qmlapplicationviewer.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qmlapplicationviewer.cpp
moc_qmlapplicationviewer.cpp: qmlapplicationviewer/qmlapplicationviewer.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qmlapplicationviewer/qmlapplicationviewer.h -o moc_qmlapplicationviewer.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

qmlapplicationviewer.o: qmlapplicationviewer/qmlapplicationviewer.cpp qmlapplicationviewer/qmlapplicationviewer.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qmlapplicationviewer.o qmlapplicationviewer/qmlapplicationviewer.cpp

moc_qmlapplicationviewer.o: moc_qmlapplicationviewer.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_qmlapplicationviewer.o moc_qmlapplicationviewer.cpp

####### Install

install_itemfolder_01: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/fight2048/qml/ || $(MKDIR) $(INSTALL_ROOT)/opt/fight2048/qml/ 
	-$(INSTALL_DIR) /home/crunch/MyDocs/QtSDK/fight2048_root/fight2048/qml/fight2048 $(INSTALL_ROOT)/opt/fight2048/qml/


uninstall_itemfolder_01:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/opt/fight2048/qml/fight2048
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/fight2048/qml/ 


install_icon: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ 
	-$(INSTALL_FILE) /home/crunch/MyDocs/QtSDK/fight2048_root/fight2048/fight204864.png $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/


uninstall_icon:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/fight204864.png

=== debian/changelog ===
fight2048 (1.0.0maemo5) unstable; urgency=low

  * Fix description and how to play dialogs
  * Added quit button

 -- Paul Healy <bugzillabeast@hotmail.co.uk>  Sun, 27 Apr 2014 21:36:39 +0100

=== debian/control ===
Source: fight2048
Section: user/games
Priority: extra
Maintainer: chanxi <chanxi@dunno.org>
Build-Depends: debhelper (>= 5), libqt4-dev
Standards-Version: 3.7.2

Package: fight2048
XB-Maemo-Display-Name: fight2048
Architecture: armel
Depends: ${shlibs:Depends},${misc:Depends}, libqtm-12
Description: 4 x 4 puzzle game
 The player needs to use the arrow keys to move the tiles to the desired direction. Number tiles that match will merge and form the sum of their parts. Every time the player makes a move, a new tile will appear in a random square and when the board is filled up, the game is over. The goal of the game is to create a tile with 2048 value.
XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=92937
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAYAAACqaXHeAAAABmJLR0QA/wD/
 AP+gvaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH3gQDCyYyBInj
 lAAAEJlJREFUeNrlm2tsXdWVx3/7vK4f1287ifNyEseJnZAQkjshpKE4BUIB
 uU1nEExhNHSoKBqNRp3vlSoNUqX5Mh/ot8KoKtI0JW1JAQMBAsQJDZDi8AqE
 GBscOwkhfj/v65y993w4555c29f2tRNgqm7pyL7n3nP2Xv+91tprrf3fgq+g
 tbe1WoAFmIAd3M78JZ1KMTkxMeWZ4mgUJxLJvuVm/ZWAF2tu8a71WMUiBSTW
 3JL92QTWArVAHdAINAA1wMZA+JoFAtAfCN8R/N8JnAV6gEtAd6y5Rc42pq8U
 gKxObwTuAbYAqwMAyud7Lk8AZmsjAQC9wGngj7HmlpNfuQZkI9ze1nof8PNA
 6CLAWEinVwlAdlNAPADj0Vhzy8GFasNCADCA24HHArVGCIHSGiklWmmkUlim
 iWEIDMO45gAopZBKoZTCEAaGITBNM/snHcBPgSOx5hZ11QBkkGxva60DfgY8
 nBFca83FS310n7/I5b5BxsYnGBoeZUXtUkpKiqivW0X92lVEHAel1KIBEEIg
 peLznvN83nORvoEhhoZHKIkWU1FeyppVy9lQv4ZocSFK6cxjTwC/iDW39Myn
 DWIO4UWsuUW3t7XuBX4VODWEgFTa5ZWjb/HBmQ4Gh0YxTAOBCDRCoZWmIOKw
 emUt9+2/g6qKcqSUiwJASslLr5/g7VOnSSSTCCGCCQCtfYEbG9aw/87vUFNV
 Ed4LnOYjseaWoxlZ8gYga+b3Aq8ES1qohodf+zPH3joVqrnWOpxlwzAQQoT3
 K8pL+fcf/5BocVE4uHwBsC2LZw6/TttbpzCz+pJKYQgxpf+l1ZU88uA9FBcV
 Zb/CA/YFIOTUBDMXAI//5nc5hRdC0PvFlzx58HkiEQcAyzSpr1tJ8+4Ymzau
 A6UZGZtAa40QgmQqzejYOFs3NZCZHCklbjo9pU/HcTAt68rATJOOz87x1DMv
 Y9tWcM+gYW0dt9+yi6qKMgaHR0mnXYQQDI+OYyBo2rA2WwsM4IGf/Oj+P8ea
 W87lktWaRQPqArWf8r1lWRw+8gaFBZFQG+7a921uu+UmXM8DDbfcFOODMx0c
 fOZlEskUGvjiyz76BoaorqxY0PJ06IXXQ6CllPz9Xd9h756dpNIulmVy867t
 /PJ/fsf4xCSOY9P2Vjvf3r2D0pJoNggW8Kv2ttbbY80tPdP7MaarfuDtf5ax
 +ezZn5yM03XuAqZpIKWksWEtzXt2Ek8kcV0P1/NIpdNs2lDP5o31oSB9A8P0
 DQyHpjFfMwyDnguXGJ+YDIRXNG1YR2zbZibjCTzPI5lMUVFexv4795JMpULY
 jr91CseeMa8NwM/a21qN9rbW2QEIbOT2jLefDsD45GSIrOtJdsW24rleTgGW
 L63BNP3Xu66H6+YfxZqGwceffuZrVTD7mzfWz1hapZSsq1tJdUU5WmtM0+D9
 jz9F537tw8Dt0/1ArsX6sZyzIgSX+wdDp6O1JlpUNFtnxJPJECzfcy8sPOsf
 GA4da2VFGSuW1eTUIMe22bh+DTL4red5DA2PzqZtj+U0gYxaBBHextmCkNql
 NdywpZFt123kxu1bqF1SnW1robDxRILOz3uR0h9UeWmU8tKSvOWPx5Mkksnw
 c1FhAYWFhTP68rVNUF5WGn6nlGJ4ZFYANgYyhjJbWapPEN7mjsK0prK8jIfu
 3w/an6V02p2h+pll8vwXl8OAqbyslKrK8pwC5Gqu54Ymo7UfUxQEzjCXaRYW
 RsiootaQdr25NO7nwMGMzMa0xGb1XAPTWpNOu6Rdd4bwjm3T1z/If/3y17x9
 6nSovqZhsOP6JkpLovnnCung/YEUjmPjOPasDrOkuBgdICCVpH9gaC6HuzqQ
 dcYyeE+Q2Cy4TUwmOPbm8RnBkWEYbN/axC27YwtyglqDXojLmCZsVkicqxUF
 sp4MAQjy+S0Lyeos02RsfIKPP/2MY2+e4uKlvnDN9qSksryUm3ZsZd/e3QsS
 PhMEmaYRoqCUnlUorTWprKBquknkUhpgS3tbqxlrbpEZDVg7n/pPF/7c+Yu8
 8Oqf6eo+jxAQiThIpZCe5OZdN3BT7HpW1C5ZsPAABQUOBZEIGWeTSqVJpVJE
 cpiB0prxiclQCwzDoCLLKc5mBoHMXRkAaoMrr9Z1rpcDTx9mdGIyXOtT6TT1
 q1fyj/9wJ5VlpUGwpBZjUVc0IEi+kqkUyWSaXAuJ1pp4IoUI0hpfAwrmM6GM
 vCEAdflUcnx7j/O7Qy8xMjYe2nt5aQl33baHG7Y0hVmf1iy6FRZEiGYlNWPj
 k4yNT7B0SdWMmVVS0dc/eEUDhKCsNDqfBpQHMr9hBAXMxvxmxuD5I8foHxzG
 MAxcz2PDujr+7aH7iF2/eUrKezVNSkVjwxps21f5yUSCcxcuzagrCCGYiMfp
 +LwH0zTQWlNZUUZleVk+S25je1urZQSOsCGf+Pxy/yDvvH8Gx7HxPMmOLU38
 +IEfsKSmCiEEEcfJeTmOjbGAUFApxYb6ujBXty2Lv7x3mngiGWqdACzL5NVj
 byM9GUSBkj07t5HOz+80AFamdF2Tj+N798NPMIRxJTmKJ3i69ci8aDuOze6d
 26iqyMvK0FpTEo1yU2wrR0+0Y5oGw6PjHHj6Re7dfwdLq6twPY9nXnydUx9+
 gm1baK0pLY0Su34znpcXADWAaQUl6435qH9n93kMQ4Sfu86dp7O7d96eUmmX
 VStqqa6syDsa9DyPfXt3c+rDTxifiGMafn+P/vevKI1GSaZSeFKGhRJPSn64
 /w5U/s5nI2Ab0zct5go2LvcP+oVJKZFSopQKE6P5roU2rTWObfPgfd+jtKQY
 1/UQQmBbFvFEAqU0ZhB6A9x28400rKtbSF92JhCy8zEBT0p2btsc5OgL205Q
 WlFVWcbC4jvfF9StrOWh+/dz4uR7vNn+4RQBpZQ0rF3Nnl03sHXThrzrDVkm
 YIv2ttYaoC8/7ywXNZuZtT0zwMWUxT0pSaddei9ewhAGSiuqK8spiUZzBkh5
 tiXWQoX4ppplmliFJk0N66aYyVW/l7+ydi2Enq8i9M00Ib4ZzRLfRMe5+gzK
 6F87APHJya+90/S0PQGARDx+zULpBQGQiMe/biOGYHtr+gqTmJz82k3h6zeB
 WfoTQnwjfuD/jxP8ppbXr2KZSgUFU8sysa5h7CClRGm/PGYIgTAEZtZm7KIA
 KCktvXZoWhbt73/MkeMnMQzB1qYGvvudb01xbkIIkokEqVRqysCdSISCgoKc
 +wyTiQSdn/XSff4iiUSSoZExSqLFFBUVsHxJDRvq66Zvjec/ZttxXHwSUs3V
 CG+aJhcufslzR46TSKZQStF78UucSGRGemorNWMlsB0Hy7ZnCD82PsGBQy/R
 3XsRqVTAQwBNP2hNO5+w5N0K9jXvZvvWpoWA0A+4VvCAe3V+TeC6Lr/5/XOk
 Uq6fomp/1yZnNphrkNN+J4S///jYEwcYG59ACIFlmiilfBMwBEZgXoPDo/z2
 0IsUFRXQWL8m35TYzTjBDBXtquz+0IuvMTo2fs0cuWM7HDx0OHin/9KI47Dn
 77bx4L0t3LJrB9HionACTMPg1weeIe15+fqEDsC18EmI/Vcz2I/OdvHe6bNc
 qzBdCMHoxARnP+/BMPxaX3FRIf/xkweoqa5ESknshs3cfce3+eXjB7hw6XJY
 ozzb2c226zbieTIfE5AGPo2kc7GDjSeSvPDqG6TS7hSqzNUC0N8/FFYdpFRc
 17ie4uIiUqk0nidJpdIYwuDOW/eQdn0LNg2Dc70X52SoZbVOwDMC+unZxQy0
 IOLwv394noGhEUzDwLYsVq9YdtUgiKDAqfUVE6uuqphRWFVKUVNVPmXXSOdf
 dDkba27xMlD14DMwF7TkvfDqG3z6eQ9moH7/+i/3UhCJXHXKqoHCwkjoTwzD
 oLvnAslUOmSJZez81AdnsCwzAESzZuXyfCZgJJA5DIQuBVdeZVvTNOno6ubV
 4yexLL8ie+uendStqEVrxVUycFFKsXL5UmqqK+m5cAnTNHjvow5sy2T79Zsp
 LizAk5KOrnMcPfEOjm2jlKKwwKFxw7p8dqQy8oYAdOPTTZvyclBj47xw5Hig
 epplS6q5edf2a5rOaqW593v7+M1TzzIwNEpBxOHdjzr44EwXJcWFpF2PeDKJ
 ZZp+STxazA/uvpUCxwnZInO03kBmPxcIWNen8bm384ajbSfe4fylPoQA27b4
 /nebKSst4VrWaqRSrKhdwt49O3E9NyyLCQET8QRp1w3DbKUUq1bWsn7tqnyE
 V8DpDNM8213+EZ94POfsd3Wf51hAXFRKcdOOrWzaUH9NvP90H/Ps4aMcOPQi
 EecKO8S2LJ8wYV/ZbTJNk9NnOnns8d+Sdt35NDEeyDo1GYo1t5xsb2vtBTbl
 TBsNg/7BYZ7602GEuEKT23/3rXhSYlkmtpWp/F4hR9mW6fvmgEydr48529nN
 GyffI+I4Idli66YGrt+0geKiQqRSdHb3cuqDMwyPjmNZJn0Dwzx7+CgP3HP3
 DAZLtvpn0+szBIkMT+hR4KmckZlj84fnXmEinvCDDlezYmkNx0+0+15f+Ovw
 0Mg4IliHh0bGaTvxDp4nWbakmrVrVua1R6iU4uS7p6ewzG7ZvYPv7v0WZmDz
 QsCGdXVsrF/DkwefI55IYlkmpz/pYnhkbAo1d1p7NFvmKSSpWHPLwfa21v8k
 x1aZIUS4Kwy+7b/xl/dyDj4j5PDoKM+9cgwpFTdc10jdquUY1vzpcTKVYjKe
 COm2VRVlbN/ShAh8UHZbvWIZO7Zuou3Ndn85FDAwOExptBg5E4COzJmCGSSp
 rPbT+eL+zOV5csaV3afWhPf9gefnJhOJJIlEEgKWWVlplLKSaO6nA0pMdgA0
 Rxzy0zkLIgF37gg+3/7hqd5fsX7taibnqCEKIbjwxWXiCZ/jV1RYwMrlS5FS
 snwWomOuVlRYSFFRQVgpnpiMMxlPUFDg5Mw3pvOHhBC5wHoCODKdNT4FgOAL
 1d7W+gugmSzeQCqd5r7v34FUcg7PbfL4k3+k69wFAJbVVPHQ/fvxPIlpGuHW
 +nwtErGnVJL6BobpOneeJdWVeFkmYBgGbjrNxx2fZdHpfWbpNC3oxD9AofKq
 CQas6keCRCmrQ393drbLsewpiYhhGDiWjW1ZeQufWQUaG9aGIS7AoRde4/hb
 pzBNA9u2KIg4DI+O8eRTz/LFl30BSVPTtH7NdFKmh39woifvmmCgJkfb21r3
 Me3MwHwx/FQ714sKjqRU3Lh9C8fffncK7/dPh1/n6RdfY/XyZYyMjjM6MeGD
 G6TMpmlw1+03ZxO45z0wMZsGZI7MHAX25Zsui8AelVb+pfSisgKtNbZl8cg/
 30PdytrwsJRpmtiWxcUv+4gnkzhBCc11PUqixTz8Tz+gqqI8UxHqzBJezHZu
 aNY1KTg1Qqy55dxPfnT/c0AxsGO+kn//4AgTE3GiRYU0Nqxl/bpVM7xyPidG
 tNYUFRZyXdN6KspLSSSS9A0M40np8xGlwvU8HMcmtm0z379zb3Ym+ATwcKy5
 5f1FH5rKYRYzjs3lap6UYTVmtrL4QvkBWmtc1yOeSHB5YAiBQOMzSJYtqca2
 rUw/Cz42t5B9ARVrbnkZn14268FJy7y2ewGZZS1DmK4oL5syJq11zoOTCym+
 LLr9TR2dzbFKZH/+2zw8PQdAfzXH5/8PBPVcADe41I8AAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# qmake PREFIX=/usr# Uncomment this line for use without Qt Creator

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir
	qmake
	# Add here commands to compile the package.
	$(MAKE) # Uncomment this line for use without Qt Creator
	#docbook-to-man debian/fight2048.sgml > fight2048.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/fight2048.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/fight2048 install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps # Uncomment this line for use without Qt Creator
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## fight2048 1.0.0-1

=== debian/changelog ===
fight2048 (1.0.0-1) unstable; urgency=low

  * Initial release

 -- chanxi <chanxi@dunnno.org>  Fri,  4 Apr 2014 19:56:35 +0200

## fight2048 1.0.0-2

=== Makefile ===
#############################################################################
# Makefile for building: fight2048
# Generated by qmake (2.01a) (Qt 4.7.4) on: Sat Apr 5 15:57:52 2014
# Project:  fight2048.pro
# Template: app
# Command: /usr/bin/qmake -o Makefile fight2048.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_DECLARATIVE_LIB -DQT_DBUS_LIB -DQT_OPENGL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/usr/include/QtCore -I/usr/include/QtGui -I/usr/include/QtOpenGL -I/usr/include/QtDBus -I/usr/include/QtDeclarative -I/usr/include -Iqmlapplicationviewer -I/usr/X11R6/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib
LIBS          = $(SUBLIBS)  -L/usr/lib -L/usr/X11R6/lib -lQtDeclarative -L/usr/lib -lQtScript -lQtSvg -L/usr/X11R6/lib -lQtSql -lQtXmlPatterns -lQtNetwork -lQtOpenGL -lQtGui -lQtDBus -lQtXml -lQtCore -lGLESv2 -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		qmlapplicationviewer/qmlapplicationviewer.cpp moc_qmlapplicationviewer.cpp
OBJECTS       = main.o \
		qmlapplicationviewer.o \
		moc_qmlapplicationviewer.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		qmlapplicationviewer/qmlapplicationviewer.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		fight2048.pro
QMAKE_TARGET  = fight2048
DESTDIR       = 
TARGET        = fight2048

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: fight2048.pro  /usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		qmlapplicationviewer/qmlapplicationviewer.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/opengl.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDeclarative.prl \
		/usr/lib/libQtScript.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtSvg.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXmlPatterns.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtOpenGL.prl
	$(QMAKE) -o Makefile fight2048.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
qmlapplicationviewer/qmlapplicationviewer.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/opengl.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDeclarative.prl:
/usr/lib/libQtScript.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtSvg.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtSql.prl:
/usr/lib/libQtXmlPatterns.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtOpenGL.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile fight2048.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/fight20481.0.0 || $(MKDIR) .tmp/fight20481.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/fight20481.0.0/ && $(COPY_FILE) --parents qmlapplicationviewer/qmlapplicationviewer.h .tmp/fight20481.0.0/ && $(COPY_FILE) --parents main.cpp qmlapplicationviewer/qmlapplicationviewer.cpp .tmp/fight20481.0.0/ && (cd `dirname .tmp/fight20481.0.0` && $(TAR) fight20481.0.0.tar fight20481.0.0 && $(COMPRESS) fight20481.0.0.tar) && $(MOVE) `dirname .tmp/fight20481.0.0`/fight20481.0.0.tar.gz . && $(DEL_FILE) -r .tmp/fight20481.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qmlapplicationviewer.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qmlapplicationviewer.cpp
moc_qmlapplicationviewer.cpp: qmlapplicationviewer/qmlapplicationviewer.h
	/usr/bin/moc $(DEFINES) $(INCPATH) qmlapplicationviewer/qmlapplicationviewer.h -o moc_qmlapplicationviewer.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

qmlapplicationviewer.o: qmlapplicationviewer/qmlapplicationviewer.cpp qmlapplicationviewer/qmlapplicationviewer.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qmlapplicationviewer.o qmlapplicationviewer/qmlapplicationviewer.cpp

moc_qmlapplicationviewer.o: moc_qmlapplicationviewer.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_qmlapplicationviewer.o moc_qmlapplicationviewer.cpp

####### Install

install_itemfolder_01: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/fight2048/qml/ || $(MKDIR) $(INSTALL_ROOT)/opt/fight2048/qml/ 
	-$(INSTALL_DIR) /home/arno/fight2048/qml/fight2048 $(INSTALL_ROOT)/opt/fight2048/qml/


uninstall_itemfolder_01:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/opt/fight2048/qml/fight2048
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/fight2048/qml/ 


install_icon: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ 
	-$(INSTALL_FILE) /home/arno/fight2048/fight204864.png $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/


uninstall_icon:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/fight204864.png
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ 


install_desktopfile: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
	-$(INSTALL_FILE) /home/arno/fight2048/fight2048.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/


uninstall_desktopfile:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/share/applications/hildon/fight2048.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 


install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/fight2048/bin/ || $(MKDIR) $(INSTALL_ROOT)/opt/fight2048/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/opt/fight2048/bin/$(QMAKE_TARGET)"
	-$(STRIP) "$(INSTALL_ROOT)/opt/fight2048/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/opt/fight2048/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/opt/fight2048/bin/ 


install:  install_itemfolder_01 install_icon install_desktopfile install_target  FORCE

uninstall: uninstall_itemfolder_01 uninstall_icon uninstall_desktopfile uninstall_target   FORCE

FORCE:

=== debian/changelog ===
fight2048 (1.0.0-2) unstable; urgency=low

  * Initial release

 -- chanxi <chanxi@dunnno.org>  Fri,  4 Apr 2014 20:56:35 +0200

## fight2048 1.0.0-3

=== Makefile ===
--- 
+++ 
@@ -248,7 +248,7 @@
 
 install_itemfolder_01: first FORCE
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/opt/fight2048/qml/ || $(MKDIR) $(INSTALL_ROOT)/opt/fight2048/qml/ 
-	-$(INSTALL_DIR) /home/arno/fight2048/qml/fight2048 $(INSTALL_ROOT)/opt/fight2048/qml/
+	-$(INSTALL_DIR) ./qml/fight2048 $(INSTALL_ROOT)/opt/fight2048/qml/
 
 
 uninstall_itemfolder_01:  FORCE
@@ -258,7 +258,7 @@
 
 install_icon: first FORCE
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/ 
-	-$(INSTALL_FILE) /home/arno/fight2048/fight204864.png $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/
+	-$(INSTALL_FILE) ./fight204864.png $(INSTALL_ROOT)/usr/share/icons/hicolor/64x64/apps/
 
 
 uninstall_icon:  FORCE
@@ -268,7 +268,7 @@
 
 install_desktopfile: first FORCE
 	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/applications/hildon/ 
-	-$(INSTALL_FILE) /home/arno/fight2048/fight2048.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/
+	-$(INSTALL_FILE) ./fight2048.desktop $(INSTALL_ROOT)/usr/share/applications/hildon/
 
 
 uninstall_desktopfile:  FORCE

=== debian/changelog ===
fight2048 (1.0.0-3) unstable; urgency=low

  * Missing icon and desktop file

 -- chanxi <chanxi@dunnno.org>  Fri,  4 Apr 2014 21:56:35 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Package: fight2048
 XB-Maemo-Display-Name: fight2048
 Architecture: armel
-Depends: ${shlibs:Depends},${misc:Depends}, libqtm-12
+Depends: ${shlibs:Depends},${misc:Depends}, libqtm-11
 Description: 4 x 4 puzzle game
  The player needs to use the arrow keys to move the tiles to the desired direction. Number tiles that match will merge and form the sum of their parts. Every time the player makes a move, a new tile will appear in a random square and when the board is filled up, the game is over. The goal of the game is to create a tile with 2048 value.
 XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=92937

## fight2048 1.0.0-4

=== debian/changelog ===
fight2048 (1.0.0-4) unstable; urgency=low

  * removed meego components

 -- chanxi <chanxi@dunnno.org>  Fri,  4 Apr 2014 22:56:35 +0200
